/*-
 * ~~~~~~licensing~~~~~~
 * generator-api
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.base.generator.template.impl;

import java.util.Map;

import org.osgi.framework.ServiceRegistration;

import ru.entaxy.base.generator.template.Template;

public class ProvidedTemplate {
	
	protected String id;
	protected String name;
	protected String filename;
	protected String fullname;
	protected String type;
	protected String path;
	protected String description;
	protected Map<String, String> additionalProperties = null;
	
	public ServiceRegistration<Template> registration;
	
	public ProvidedTemplate() {
		
	}

	public ProvidedTemplate(TemplateMetadata templateMetadata) {
		this.id = templateMetadata.getId();
		this.name = templateMetadata.getName();
		this.filename = templateMetadata.getFilename();
		this.fullname = templateMetadata.getFullname();
		this.type = templateMetadata.getType();
		this.path = templateMetadata.getPath();
		this.description = templateMetadata.getDescription();
		this.additionalProperties = templateMetadata.getAdditionalProperties();
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	public String getFilename() {
		return filename;
	}

	public void setFilename(String filename) {
		this.filename = filename;
	}

	public String getFullname() {
		return fullname;
	}

	public void setFullname(String fullname) {
		this.fullname = fullname;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Map<String, String> getAdditionalProperties() {
		return additionalProperties;
	}

	public void setAdditionalProperties(Map<String, String> additionalProperties) {
		this.additionalProperties = additionalProperties;
	}
	
	
}
